/**
 * @file
 * $Id: common.h,v 1.7 2003/03/24 12:41:01 tsavola Exp $
 * @brief  Functions common to client and daemon.
 * @author Timo Savola <timo.savola@movial.fi>
 */

#ifndef COMMON_H
#define COMMON_H

/** Default port number. */
#define DEFAULT_PORT 1202

/** Maximum username length including the null-terminator. */
#define USER_SIZE    16

/** Maximum password length including the null-terminator. */
#define PWD_SIZE     16

/** Maximum hostname length including the null-terminator. */
#define HOST_SIZE    256

extern int set_nonblocking(int fd);
extern char *get_progname(char *name);
extern void free_vec(void **vec);
extern int read_line(FILE *file, char *buf, int size);
extern char *skip_spaces(char *str);
extern char *find_space(char *str);
extern int split_string(char *line, ...);
extern int string_cat(char *buf, int bufsize, const char *piece, ...);

#endif
